Index: trunk/MagicSoft/Mars/mimage/MHillasCalc.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHillasCalc.cc	(revision 2468)
+++ trunk/MagicSoft/Mars/mimage/MHillasCalc.cc	(revision 2470)
@@ -48,8 +48,12 @@
 //
 //  Input Containers:
-//   MCerPhotEvt, MGeomCam[, MHillas]
+//   MCerPhotEvt
+//   MGeomCam
+//   [MHillas]
 //
 //  Output Containers:
-//   [MHillas,] MHillasExt, MNewImagePar
+//   [MHillas]
+//   MHillasExt
+//   MNewImagePar
 //
 /////////////////////////////////////////////////////////////////////////////
@@ -93,5 +97,5 @@
 {
     // necessary
-    fCerPhotEvt = (MCerPhotEvt*)pList->FindObject("MCerPhotEvt");
+    fCerPhotEvt = (MCerPhotEvt*)pList->FindObject(AddSerialNumber("MCerPhotEvt"));
     if (!fCerPhotEvt)
     {
@@ -101,5 +105,5 @@
 
     // necessary
-    fGeomCam = (MGeomCam*)pList->FindObject("MGeomCam");
+    fGeomCam = (MGeomCam*)pList->FindObject(AddSerialNumber("MGeomCam"));
     if (!fGeomCam)
     {
@@ -110,8 +114,8 @@
     // depend on whether MHillas is an in- or output container
     if (TestFlag(kCalcHillas))
-        fHillas = (MHillas*)pList->FindCreateObj("MHillas", fHilName);
+        fHillas = (MHillas*)pList->FindCreateObj("MHillas", AddSerialNumber(fHilName));
     else
     {
-        fHillas = (MHillas*)pList->FindObject(fHilName, "MHillas");
+        fHillas = (MHillas*)pList->FindObject(AddSerialNumber(fHilName), "MHillas");
         *fLog << err << fHilName << " [MHillas] not found... aborting." << endl;
     }
@@ -122,5 +126,5 @@
     if (TestFlag(kCalcHillasExt))
     {
-        fHillasExt = (MHillasExt*)pList->FindCreateObj("MHillasExt", fHilExtName);
+        fHillasExt = (MHillasExt*)pList->FindCreateObj("MHillasExt", AddSerialNumber(fHilExtName));
         if (!fHillasExt)
             return kFALSE;
@@ -130,5 +134,5 @@
     if (TestFlag(kCalcNewImagePar))
     {
-        fNewImgPar = (MNewImagePar*)pList->FindCreateObj("MNewImagePar", fImgParName);
+        fNewImgPar = (MNewImagePar*)pList->FindCreateObj("MNewImagePar", AddSerialNumber(fImgParName));
         if (!fNewImgPar)
             return kFALSE;
Index: trunk/MagicSoft/Mars/mimage/MHillasSrcCalc.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MHillasSrcCalc.cc	(revision 2468)
+++ trunk/MagicSoft/Mars/mimage/MHillasSrcCalc.cc	(revision 2470)
@@ -29,4 +29,13 @@
 //
 // Task to calculate the source dependant part of the hillas parameters
+//
+// FIXME: Merge with MHillasCalc
+//
+//  Input Containers:
+//   MHillas
+//   [MSrcPosCam]
+//
+//  Output Containers:
+//   MHillasSrc
 //
 //////////////////////////////////////////////////////////////////////////////
@@ -74,5 +83,5 @@
 Int_t MHillasSrcCalc::PreProcess(MParList *pList)
 {
-    fHillas = (MHillas*)pList->FindObject(fHillasInput, "MHillas");
+    fHillas = (MHillas*)pList->FindObject(AddSerialNumber(fHillasInput), "MHillas");
     if (!fHillas)
     {
@@ -81,14 +90,14 @@
     }
 
-    fSrcPos = (MSrcPosCam*)pList->FindObject(fSrcName, "MSrcPosCam");
+    fSrcPos = (MSrcPosCam*)pList->FindObject(AddSerialNumber(fSrcName), "MSrcPosCam");
     if (!fSrcPos)
     {
-        *fLog << warn << fSrcName << " [MSrcPosCam] not found... creating default MSrcPosCam." << endl;
-        fSrcPos = (MSrcPosCam*)pList->FindCreateObj("MSrcPosCam", fSrcName);
+        *fLog << warn << AddSerialNumber(fSrcName) << " [MSrcPosCam] not found... creating default container." << endl;
+        fSrcPos = (MSrcPosCam*)pList->FindCreateObj("MSrcPosCam", AddSerialNumber(fSrcName));
         if (!fSrcPos)
             return kFALSE;
     }
 
-    fHillasSrc = (MHillasSrc*)pList->FindCreateObj("MHillasSrc", fHillasName);
+    fHillasSrc = (MHillasSrc*)pList->FindCreateObj("MHillasSrc", AddSerialNumber(fHillasName));
     if (!fHillasSrc)
         return kFALSE;
Index: trunk/MagicSoft/Mars/mimage/MImgCleanStd.cc
===================================================================
--- trunk/MagicSoft/Mars/mimage/MImgCleanStd.cc	(revision 2468)
+++ trunk/MagicSoft/Mars/mimage/MImgCleanStd.cc	(revision 2470)
@@ -244,5 +244,7 @@
 //
 //  Input Containers:
-//   MGeomCam, MCerPhotEvt, MSigmabar
+//   MGeomCam
+//   MCerPhotEvt
+//   [MSigmabar]
 //
 //  Output Containers:
@@ -646,5 +648,5 @@
 Int_t MImgCleanStd::PreProcess (MParList *pList)
 {
-    fCam = (MGeomCam*)pList->FindObject("MGeomCam");
+    fCam = (MGeomCam*)pList->FindObject(AddSerialNumber("MGeomCam"));
     if (!fCam)
     {
@@ -653,5 +655,5 @@
     }
 
-    fEvt = (MCerPhotEvt*)pList->FindObject("MCerPhotEvt");
+    fEvt = (MCerPhotEvt*)pList->FindObject(AddSerialNumber("MCerPhotEvt"));
     if (!fEvt)
     {
@@ -662,5 +664,5 @@
     if (fCleaningMethod == kDemocratic)
     {
-        fSgb = (MSigmabar*)pList->FindObject("MSigmabar");
+        fSgb = (MSigmabar*)pList->FindObject(AddSerialNumber("MSigmabar"));
         if (!fSgb)
         {
@@ -671,5 +673,5 @@
     else
     {
-        fPed = (MPedestalCam*)pList->FindObject("MPedestalCam");
+        fPed = (MPedestalCam*)pList->FindObject(AddSerialNumber("MPedestalCam"));
         if (!fPed)
         {
